var global_rtn_video = global_rtn_video || null;
var global_document_url = global_document_url || null;

function vid_mate_get_video_id(url)
{
	var vid_mate_url = url || document.URL;
	if (vid_mate_url == null || vid_mate_url.length <= 0) {
		return null;
	}

	//http://badgirl.ga/file.php?id=406&cat=amateur&pg=1
	if(-1 == vid_mate_url.indexOf("badgirl"))
	{
		return null;
	}

	var vid_mate_video_id = vid_mate_get_parameter(vid_mate_url, "id");
	if(vid_mate_video_id)
	{
		return vid_mate_video_id;
	}
	else
	{
		return null;
	}
}

function vid_mate_check() {
	if (vid_mate_get_video_id() == null) {
		vid_mate_set_canDownload(false);
		return false;
	} else {
	    vid_mate_set_canDownload(true);
		return true;
	}
}

function vid_mate_get_video_info(url)
{
    vid_mate_setParseMsg(10, 20, 'Start Analytics');

	var vid_mate_video_id = vid_mate_get_video_id(url);
	vid_mate_setParseMsg(20, 60, 'Get Video Info');

	global_document_url = url;

	try {
		vid_mate_setParseMsg(20, 60, 'Get Video Info......');

		var referer = url;
		var cookie = "";
		if(window.vbrowser.httpGetCookie)
		{
			cookie = window.vbrowser.httpGetCookie(global_document_url);
		}
		else
		{
			cookie = document.cookie;
		}

		var userAgent = "Mozilla/5.0 (Linux; Android 4.3; Build/KRT16M) AppleWebKit/517.36 (KHTML, like Gecko) Version/4.0 Chrome/30.0.0.0 Mobile Safari/537.36";
		//var userAgent = navigator.userAgent;
		var method = "get";
		var data = "";
		vid_mate_app_xhr_adv(url, referer, cookie, userAgent, method, data);
	} catch (e) {
		vid_mate_error_default('badgirl 1');
		return null;
	}
}

function vid_mate_video_analytics(vm_content)
{
	if(!vm_content)
	{
		vid_mate_error_default('vm_content is empty');
		return null;
	}

	var videoUrl = "";

	var rtn_video = new vid_mate_video();
	rtn_video.check_type = "badgirl";
	rtn_video.id = vid_mate_get_video_id(global_document_url);

	var sub_content = cutstr(vm_content, "</h3><p><img", "</p>");

	var tmp_re = new RegExp("href='(.+?)'");
	if (tmp_re.test(sub_content))
	{

		var tmp_m = sub_content.match(tmp_re);
		videoUrl= tmp_m[1];
		if(!videoUrl)
		{
			vid_mate_error_default('get file video url fail.');
			return null;
		}
	}
	else
	{
		vid_mate_error_default('get File video url fail.');
		return null;
	}

	//img
	var tmp_re = new RegExp("<img class='img' src='(.+?)'");
	if (tmp_re.test(vm_content))
	{
		var tmp_m = vm_content.match(tmp_re);
		imgUrl = tmp_m[1];
		if(imgUrl)
		{
			rtn_video.picture_default = imgUrl;
			rtn_video.picture_big = imgUrl;
		}
	}

	//title
	var tmp_re = new RegExp("<h3>(.+?)</h3>");
	if (tmp_re.test(vm_content))
	{
		var tmp_m = vm_content.match(tmp_re);
		var title = tmp_m[1];
		title = title.replace("<br/>", "");
		rtn_video.title = title;
	}

	var tmp_video_file = new vid_mate_video_file();
	tmp_video_file.url = videoUrl;
	var tmp_format = vid_mate_get_video_format(tmp_video_file.url);
	tmp_video_file.format = "mp4";
	tmp_video_file.title = "mp4";
	tmp_video_file.f_id = rtn_video.id+"_mp4";
	rtn_video.files.push(tmp_video_file);

	vid_mate_setParseMsg(100, 100, 'Completed');
	vid_mate_set_videoInfo(JSON.stringify(rtn_video));
}

function vid_mate_get_video_info_on_blank(url)
{
	vid_mate_get_video_info(url);
}

function cutstr(content, prefix, suffix)
{
	var prefix_len = prefix.length;
	var p1 = content.indexOf(prefix);
	if(-1 == p1)
	{
		return "";
	}
	p1 += prefix_len;
	var p2 = content.indexOf(suffix, p1);
	if(-1 == p2)
	{
		return "";
	}
	return content.substring(p1, p2);
}



