var global_rtn_video = global_rtn_video || null;
var global_document_url = global_document_url || null;
var global_offset = 0;

function vid_mate_get_video_id(url)
{
	var vid_mate_url = url || document.URL;
	if (vid_mate_url == null || vid_mate_url.length <= 0) {
		return null;
	}

	//http://xxxdesislut.com/view.php?id=ph558a1e8b217d2
	if(-1 == vid_mate_url.indexOf("xxxdesislut"))
	{
		return null;
	}

	if(-1 == vid_mate_url.indexOf("view.php"))
	{
		return null;
	}

	var vid_mate_video_id = vid_mate_get_parameter(vid_mate_url, "id");
	if(vid_mate_video_id)
	{
		return vid_mate_video_id;
	}

	return null;
}

function vid_mate_check() {
	if (vid_mate_get_video_id() == null) {
		vid_mate_set_canDownload(false);
		return false;
	} else {
	    vid_mate_set_canDownload(true);
		return true;
	}
}

function vid_mate_get_video_info(url)
{
    vid_mate_setParseMsg(10, 20, 'Start Analytics');

	var vid_mate_video_id = vid_mate_get_video_id(url);
	vid_mate_setParseMsg(20, 60, 'Get Video Info');

	global_document_url = url;

	try {
		vid_mate_setParseMsg(20, 60, 'Get Video Info......');

		var referer = url;
		var cookie = "";
		if(window.vbrowser.httpGetCookie)
		{
			cookie = window.vbrowser.httpGetCookie(global_document_url);
		}
		else
		{
			cookie = document.cookie;
		}

		var userAgent = "Mozilla/5.0 (Linux; Android 4.3; Build/KRT16M) AppleWebKit/517.36 (KHTML, like Gecko) Version/4.0 Chrome/30.0.0.0 Mobile Safari/537.36";
		//var userAgent = navigator.userAgent;
		var method = "get";
		var data = "";
		vid_mate_app_xhr_adv(url, referer, cookie, userAgent, method, data);
	} catch (e) {
		vid_mate_error_default('xxxdesislut 1');
		return null;
	}
}

function vid_mate_video_analytics(vm_content)
{
	if(!vm_content)
	{
		vid_mate_error_default('vm_content is empty');
		return null;
	}

	var videoUrl = "";

	var rtn_video = new vid_mate_video();
	rtn_video.check_type = "xxxdesislut";
	rtn_video.id = vid_mate_get_video_id(global_document_url);

	var arr = cut_all(vm_content, "href=\"", "\"");
	for(var i=0; i<arr.length; ++i)
	{
		var videoUrl = arr[i];
		if(-1 != videoUrl.indexOf(".mp4"))
		{
			var tmp_video_file = new vid_mate_video_file();
			tmp_video_file.url = videoUrl;
			tmp_video_file.format = "mp4";
			tmp_video_file.title = "mp4";
			tmp_video_file.f_id = rtn_video.id+"_mp4";
			rtn_video.files.push(tmp_video_file);
		}
	}

	if(0 == rtn_video.files.length)
	{
		vid_mate_error_default('can not find video');
		return null;
	}

	//img
	var imgUrl = rcutstr(vm_content, "\"", "\" alt=\"scene\" title=\"scene\"");
	if(imgUrl)
	{
		rtn_video.picture_default = imgUrl;
		rtn_video.picture_big = imgUrl;
	}

	//title
	var title =cutstr(vm_content, "<div class=\"black\">", "</div>");
	if(title)
	{
		rtn_video.title = title;
	}

	vid_mate_setParseMsg(100, 100, 'Completed');
	vid_mate_set_videoInfo(JSON.stringify(rtn_video));
}

function vid_mate_get_video_info_on_blank(url)
{
	vid_mate_get_video_info(url);
}

function cutstr(content, prefix, suffix)
{
	var prefix_len = prefix.length;
	var p1 = content.indexOf(prefix);
	if(-1 == p1)
	{
		return "";
	}
	p1 += prefix_len;
	var p2 = content.indexOf(suffix, p1);
	if(-1 == p2)
	{
		return "";
	}
	return content.substring(p1, p2);
}

function cut_all(content, prefix, suffix)
{
	global_offset = 0;
	var ret_array = [];
	while(global_offset < content.length)
	{
		var str = cutstr_ex(content, prefix, suffix);
		if(null == str)
		{
			break;
		}
		ret_array.push(str);
	}
	global_offset = 0;
	return ret_array;
}

function cutstr_ex(content, prefix, suffix)
{
	var prefix_len = prefix.length;
	var p1 = content.indexOf(prefix, global_offset);
	if(-1 == p1)
	{
		return null;
	}
	p1 += prefix_len;
	var p2 = content.indexOf(suffix, p1);
	if(-1 == p2)
	{
		return null;
	}
	global_offset = p2 + suffix.length;
	return content.substring(p1, p2);
}

function rcutstr(content, prefix, suffix)
{
	var prefix_len = prefix.length;
	var p2 = content.indexOf(suffix);
	if(-1 == p2)
	{
		return "";
	}

	content = content.substr(0, p2);

	var p1 = content.lastIndexOf(prefix);
	if(-1 == p2)
	{
		return "";
	}
	return content.substring(p1 + prefix_len , p2);
}
